Update Collection

Update a collection’s display name, singular name, slug, or field groups.

Required scope | cms:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

The collection properties to update
displayNamestringOptional
Name given to the Collection
singularNamestringOptional

The name of one Item in Collection (e.g. ”Blog Post” if the Collection is called “Blog Posts”)

slugstringOptional
Slug of Collection in Site URL structure
fieldGroupslist of objectsOptional
The list of field groups in the Collection. Replaces the existing field groups.

Response

Request was successful
idstringformat: "objectid"
Unique identifier for a Collection
displayNamestring
Name given to the Collection
singularNamestring

The name of one Item in Collection (e.g. ”Blog Post” if the Collection is called “Blog Posts”)

fieldslist of objects
The list of fields in the Collection
slugstring
Slug of Collection in Site URL structure
createdOnstringRead-onlyformat: "date-time"
The date the collection was created
lastUpdatedstringRead-onlyformat: "date-time"
The date the collection was last updated
fieldGroupslist of objects
The list of field groups in the Collection

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error